<mat-toolbar class="logs-header mat-elevation-z1">
  <button class="fs-18 fw-500" mat-button color="primary" (click)="goBack()">
    <mat-icon class="back-icon fs-24 fw-700">keyboard_backspace</mat-icon>
    Go back
  </button>

  <span class="spacer"></span>

  <button
    mat-flat-button
    color="primary"
    class="export-button"
    (click)="exportLogs()"
  >
    Export Log
  </button>
</mat-toolbar>

<div class="logs-dialog bg-eu h-100">
  <section
    class="execution-summary d-flex align-items-center justify-content-evenly"
  >
    <div class="d-flex flex-column justify-content-between">
      <div>Logs</div>
      <div class="fw-700 fs-24 mt-8px">Test Case {{ data.testCase.id }}</div>
    </div>

    <div class="d-flex align-items-center">
      <div class="d-flex flex-column justify-content-between">
        <div>START TIME</div>
        <div class="fs-22 mt-8px">
          @if (data.testCase.startDate) {
            {{ data.testCase.startDate | date: "dd/M/yyyy" }}
            <b>
              {{ data.testCase.startDate | date: "HH:mm:ss" : "UTC +4" }}
            </b>
          } @else {
            /
          }
        </div>
      </div>

      <div class="d-flex flex-column justify-content-between ml-3">
        <div>END TIME</div>
        <div class="fs-22 mt-8px">
          @if (data.testCase.endDate) {
            {{ data.testCase.endDate | date: "dd/M/yyyy" }}
            <b>
              {{ data.testCase.endDate | date: "HH:mm:ss" : "UTC +4" }}
            </b>
          } @else {
            /
          }
        </div>
      </div>

      <div class="d-flex flex-column justify-content-between ml-3">
        <div>DURATION</div>
        <div class="fs-22 mt-8px">
          <b>
            {{ data.testCase.endDate ? elapsedTime : data.duration }}
          </b>
        </div>
      </div>
    </div>
  </section>

  <mat-dialog-content class="d-flex flex-column logs-container">
    @for (log of logs; track log) {
      <p>{{ log }}</p>
    }
  </mat-dialog-content>
</div>
